Create edge application instance (v1)
POST /api/v1/apps/instances. Edge applications API reference.
Authorizations
Bearer token for user session
Headers
User-Agent specified id to track a request
Body
App Instance detail
User defined name of the app instance, unique across the enterprise. Once app instance is created, name can’t be changed
3 - 256[a-zA-Z0-9][a-zA-Z0-9_.-]+User defined title of the app instance. Title can be changed at any time
3 - 256^[a-zA-Z0-9]+[a-zA-Z0-9!-~ ]+$project name which the given app instance belong to
User defined name of the edge app, unique across the enterprise. Once app name is created, name can’t be changed
3 - 256[a-zA-Z0-9][a-zA-Z0-9_.-]+User defined name of the device name, unique across the enterprise. Once device name is defined, name can’t be changed
3 - 256[a-zA-Z0-9][a-zA-Z0-9_.-]+app instance activation flag
Detailed description of the app instance
256app instance object revision details
Tags are name/value pairs that enable you to categorize resources. Tag names are case insensitive with max_length 512 and min_length 3. Tag values are case sensitive with max_length 256 and min_length 3.
System defined universally unique clusterInstance ID, unique across the enterprise.
3 - 256[a-zA-Z0-9][a-zA-Z0-9_.-]+virtual machine info
drive details
application interfaces
Deprecated: Application initiazation script in cloud-config format to be used by cloud-init
Application initialization script template in cloud-config format and user specified values
holds the static Ip of the app instance
version of bundle app is referring to
App Instance logs
Restart counter: ZedCloudOpsCmd
Refresh counter: ZedCloudOpsCmd
Purge counter: ZedCloudOpsCmd
Remote console flag
user encrypted secrets map
Crypto Key for decrypting user secret information
app manifest Info
type of bundle
APP_TYPE_UNSPECIFIED, APP_TYPE_VM, APP_TYPE_VM_RUNTIME, APP_TYPE_CONTAINER, APP_TYPE_MODULE, APP_TYPE_DOCKER_COMPOSE This field tells whether user secrets has updated or not, especially the cusotom config
app policy id
type of deployment for the app, eg: azure, k3s, standalone
DEPLOYMENT_TYPE_UNSPECIFIED, DEPLOYMENT_TYPE_STAND_ALONE, DEPLOYMENT_TYPE_AZURE, DEPLOYMENT_TYPE_K3S, DEPLOYMENT_TYPE_AWS, DEPLOYMENT_TYPE_K3S_AZURE, DEPLOYMENT_TYPE_K3S_AWS, DEPLOYMENT_TYPE_VMWARE_VCE, DEPLOYMENT_TYPE_VMWARE_TKG_ATTACH, DEPLOYMENT_TYPE_DOCKER_RUNTIME Instance version tells which edge app does this instance is running
start delay is the time in seconds EVE should wait after boot before starting the application instance
Cloud-init version that indicates whether it necessary or not for cloud-init tool to restart in a guest
Flag to determine if a snapshot creation is allowed
Maximum number of snapshots allowed to be created
The list of available snapshots of the application instance
patch envelope id
patch envelope name
edge node cluster
Persistent runtime size in bytes
Response
A successful response.
OPS_TYPE_UNSPECIFIED, OPS_TYPE_READ, OPS_TYPE_DELETE, OPS_TYPE_CREATE, OPS_TYPE_UPDATE, OPS_TYPE_LIST - OPS_STATUS_PENDING: In rare cases, system may not start operation when it was requested. Client will be notified that operation is PENDING
- OPS_STATUS_ONGOING: system will start the operation, but at the time response was generated, operation is still ONGOING.
- OPS_STATUS_COMPLETE: Even if the result of the operations may result in failure, but the OpsStatus will marked COMPLETE for almost all cases.
OPS_STATUS_UNSPECIFIED, OPS_STATUS_PENDING, OPS_STATUS_ONGOING, OPS_STATUS_COMPLETE OBJECT_TYPE_UNSPECIFIED, OBJECT_TYPE_USER, OBJECT_TYPE_EDGE_NODE, OBJECT_TYPE_EDGE_APP, OBJECT_TYPE_IMAGE, OBJECT_TYPE_EDGE_APP_INSTANCE, OBJECT_TYPE_PROJECT, OBJECT_TYPE_NETWORK, OBJECT_TYPE_DATASTORE, OBJECT_TYPE_SERVICE, OBJECT_TYPE_SERVICE_INSTANCE, OBJECT_TYPE_ENTERPRISE, OBJECT_TYPE_ROLE, OBJECT_TYPE_CREDENTIAL, OBJECT_TYPE_NETWORK_INSTANCE, OBJECT_TYPE_VOLUME_INSTANCE, OBJECT_TYPE_REALM, OBJECT_TYPE_AUTHPROFILE, OBJECT_TYPE_POLICY, OBJECT_TYPE_APP_POLICY, OBJECT_TYPE_CLUSTER_INSTANCE, OBJECT_TYPE_PLUGIN, OBJECT_TYPE_DOC_POLICY, OBJECT_TYPE_ORCHESTRATOR_CLUSTER, OBJECT_TYPE_TAGS, OBJECT_TYPE_EDGE_NODE_INTERFACE, OBJECT_TYPE_DEPLOYMENT, OBJECT_TYPE_ENTITLEMENTS, OBJECT_TYPE_DATA_STREAM, OBJECT_TYPE_API_USAGE, OBJECT_TYPE_APP_INSTANCE_SNAPSHOT, OBJECT_TYPE_PATCH_ENVELOPE, OBJECT_TYPE_RESOURCE_USAGE_TRACK, OBJECT_TYPE_PATCH_ENVELOPE_REFERENCE, OBJECT_TYPE_DEV_PASSTHROUGH, OBJECT_TYPE_EDGE_NODE_CLUSTER, OBJECT_TYPE_ASSET_GROUP, OBJECT_TYPE_APP_PROFILE, OBJECT_TYPE_PROFILE_DEPLOYMENT, OBJECT_TYPE_ZKS_INSTANCE, OBJECT_TYPE_CLUSTER_GROUP